package gaju.veiculos;

public class Problemas {
	
	private static double valorDiaria;
	private static double valorTotalReserva;
	private static double [] parcelas = new double[2];

	private static Cliente cliente = new Cliente(30, true, 10, 'A', "AV");
	
	
	public static void main(String[] args) {
		
		System.out.println(realizarReserva(cliente));
		
	}

	public static boolean podeRealizarReserva() {
		
		if (cliente.getIdade() < 18)
			return false;
		return true;
	}

	public static double realizarReserva(Cliente cliente) {
		
		if (podeRealizarReserva()) {
			if (cliente.getGrupoCarro() == 'S')
				valorDiaria = 220;
			else if (cliente.getGrupoCarro() == 'A')
				valorDiaria = 150;
			else
				valorDiaria = 90;

			valorTotalReserva = valorDiaria * cliente.getDiasAluguel();

			valorTotalReserva = calcularDescontos(valorTotalReserva);

			if (cliente.getIdade() < 20) {
				
				valorTotalReserva += valorTotalReserva * 0.7;
			}
			
			return valorTotalReserva;
		}
		
		return 0;
	}
	

	private static double calcularDescontos(double valorTotalReserva) {
		
		if (cliente.getGrupoCarro() == 'B')
			return valorTotalReserva;

		if (cliente.getDiasAluguel() >= 10)
			valorTotalReserva *= 0.95;
		if (cliente.isFidelidade())
			valorTotalReserva *= .95;
		if (cliente.getIdade() > 60)
			valorTotalReserva *= .965;

		return valorTotalReserva;
	}

}
