package gaju.veiculos;

import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;

public class CalculadoraGajuVeiculosTest {

    @Test
    public void pessoasComIdadeMenorQue18Anos() {

        String saidaEsperda = CalculadoraAluguelGajuVeiculos.alugarCarro(17, 1, "A");

        Assert.assertEquals("Não pode alugar carro", saidaEsperda);

    }

    @Test
    public void pessoasComIdadeMaiorOuIgualA18EmenorQue20() {

        String saidaEsperda = CalculadoraAluguelGajuVeiculos.alugarCarro(19, 5, "A");

        Assert.assertEquals("Acrescimo de 7% no valor total da reserva", saidaEsperda);

    }

    @Test
    public void exemploCalculo1() {

        String saidaEsperda = CalculadoraAluguelGajuVeiculos.alugarCarro(25, 5, "A");

        Assert.assertEquals("750.0", saidaEsperda);
    }

}
