package gaju.veiculos;

import java.io.ObjectInputStream.GetField;

public class App 
{
    public static void main( String[] args )
    {
    	//Movimentação
    	//Questão 1
    	diarias(25, "NÃO", "A", 5, "NÃO");
    	//Questão 2
    	diarias(30, "SIM", "A", 10, "NÃO");
    	//Questão 3
    	diarias(55, "NÃO", "A", 1, "NÃO");
    	//Questão 4
    	diarias(40, "NÃO", "S", 1, "SIM");
    }
    
    private static void diarias(int idade, String cartaoFidelidade, String Grupo, int diaDiaria, String parcelado)
    {
    	//Cliente
    	Cliente cliente = new Cliente();
    	cliente.setIdade(idade);
    	cliente.setClubeFidelidade(cartaoFidelidade);
    	
    	//Grupo
    	Grupo grupo = new Grupo();
    	grupo.setGrupo(Grupo);  	
    	
    	//Aluguel
    	Aluguel aluguel = new Aluguel();
    	aluguel.setCliente(cliente);
    	aluguel.setGrupo(grupo);
    	aluguel.setDias(diaDiaria);
    	aluguel.setParcelado(parcelado);  	
    	
    	
    	if (aluguel.getCliente().getIdade() < 18)
    	{
    		System.out.println("Pessoas com idade menor que 18 anos não podem fazer reservas");
    	}
    	else
    	{
    		System.out.println(descontos(aluguel.getCliente().getIdade(), aluguel.getCliente().getClubeFidelidade(), aluguel.getGrupo().getGrupo(), aluguel.getDias(), aluguel.getGrupo().getValor()));
    	}
    }
    
    public static double descontos(int idade, String cartaoFidelidade, String grupo, int diasReserva, double precoGrupo)
    {
    	boolean desconto = false;
    	precoGrupo = (precoGrupo * diasReserva);
    	if (grupo != "B")
    	{
    		if (idade >= 18 && idade <= 20)
    		{
    			precoGrupo = precoGrupo - ((precoGrupo * 7) / 100);
        		if (cartaoFidelidade == "SIM")
        		{
        			precoGrupo = precoGrupo - ((precoGrupo * 5) / 100);
        		}
        		
        		if (diasReserva >= 10)
        		{
        			precoGrupo = precoGrupo - ((precoGrupo * 5) / 100);
        		}        		
    		}
    		else
    		{		
    			if (cartaoFidelidade == "SIM")
        		{
    				desconto = true;
        			precoGrupo = precoGrupo - ((precoGrupo * 5) / 100);
        		}
        		
        		if (diasReserva >= 10)
        		{
        			desconto = true;
        			precoGrupo = precoGrupo - ((precoGrupo * 5) / 100);
        		}
        		
    			if (idade > 60)
    			{
    				if (!desconto)
    				{
    					precoGrupo = precoGrupo - ((precoGrupo * 3.5) / 100);
    				}    				
    			}
    		}
    	}   	
    	return precoGrupo;
    }
}
