package gaju.veiculos;

public class CalculadoraAluguelGajuVeiculos {

    public static String alugarCarro(int idade, int diasAlugado, String grupoCarro) {

        double valorTotalReserva = 0.0;

        if (idade < 18) {
            return "Não pode alugar carro";
        } else {

            if (grupoCarro.equals("S")) {
                valorTotalReserva = diasAlugado * 220;
                valorTotalReserva = calcularTaxas(valorTotalReserva, idade);
            } else if (grupoCarro.equals("A")) {
                valorTotalReserva = diasAlugado * 150;
                valorTotalReserva = calcularTaxas(valorTotalReserva, idade);
            } else {
                valorTotalReserva = diasAlugado * 90;

            }

        }


        return String.valueOf(valorTotalReserva);
    }

    private static double calcularTaxas(double valorTotalReserva, int idade) {

        if (idade >= 18 && idade < 20) {    
            valorTotalReserva = valorTotalReserva + (valorTotalReserva * 0.07);
        } else if (idade > 60) {
            valorTotalReserva = valorTotalReserva + (valorTotalReserva * 0.035);
        }

        return valorTotalReserva;
    }
}
