package gaju.veiculos;

public class Cliente {

	private int idade;
	private boolean fidelidade;
	private int diasAluguel;
	private char grupoCarro;
	private String formaPagamento;

	public Cliente(int idade, boolean fidelidade, int diasAluguel, char grupoCarro, String formaPagamento) {
		super();
		this.idade = idade;
		this.fidelidade = fidelidade;
		this.diasAluguel = diasAluguel;
		this.grupoCarro = grupoCarro;
		this.formaPagamento = formaPagamento;
	}

	public int getIdade() {
		return idade;
	}

	public void setIdade(int idade) {
		this.idade = idade;
	}

	public boolean isFidelidade() {
		return fidelidade;
	}

	public void setFidelidade(boolean fidelidade) {
		this.fidelidade = fidelidade;
	}

	public int getDiasAluguel() {
		return diasAluguel;
	}

	public void setDiasAluguel(int diasAluguel) {
		this.diasAluguel = diasAluguel;
	}

	public char getGrupoCarro() {
		return grupoCarro;
	}

	public void setGrupoCarro(char grupoCarro) {
		this.grupoCarro = grupoCarro;
	}

	public String getFormaPagamento() {
		return formaPagamento;
	}

	public void setFormaPagamento(String formaPagamento) {
		this.formaPagamento = formaPagamento;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Cliente other = (Cliente) obj;
		if (diasAluguel != other.diasAluguel)
			return false;
		if (fidelidade != other.fidelidade)
			return false;
		if (formaPagamento != other.formaPagamento)
			return false;
		if (grupoCarro != other.grupoCarro)
			return false;
		if (idade != other.idade)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Cliente [idade=" + idade + ", fidelidade=" + fidelidade + ", diasAluguel=" + diasAluguel
				+ ", grupoCarro=" + grupoCarro + ", formaPagamento=" + formaPagamento + "]";
	}

}
