package gaju.veiculos;

import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

public class ProblemasTest {


	private static Cliente cliente1;	
	private static Cliente cliente2;	
	private static Cliente cliente3;	
	private static Cliente cliente4;
	

	@BeforeClass
	public static void setup() {
		cliente1 = new Cliente(25, false, 5, 'A', "AV");
		cliente2 = new Cliente(30, true, 10, 'A', "AV");
		cliente3 = new Cliente(55, false, 1, 'A', "AV");
		cliente4 = new Cliente(40, false, 1, 'S', "P");
	}

	@Test
	public void Cliente25Anos5DiasGrupoANaoFidelidadeAvista() {
		double resultado = Problemas.realizarReserva(cliente1);

		assertEquals(750d, resultado, 0);
	}

	@Test
	public void Cliente30Anos10DiasGrupoAFidelidadeAvista() {
		double resultado = Problemas.realizarReserva(cliente2);

		assertEquals(1353.75, resultado, 0);
	}

	@Test
	public void Cliente55Anos1DiaGrupoANaoFidelidadeAvista() {
		double resultado = Problemas.realizarReserva(cliente3);

		assertEquals(150, resultado, 0);
	}

	@Test
	public void Cliente40Anos1DiaGrupoSNaoFidelidadeParcelado() {
		double resultado = Problemas.realizarReserva(cliente4);

		assertEquals(220, resultado, 0);
	}

	
}
